<nav class="navbar navbar-expand-lg navbar-light bg-light d-print-block" role="navigation" aria-label="{{ site.i18n.menu.title }}">
  <a class="navbar-brand" href="">
    {% include_cached logo.html %}
  </a>

  {% comment %}
    TODO: Add CSS-only hamburger menu.
  {% endcomment %}
  <ul class="navbar-nav d-print-none">
    {%- for item in site.i18n.menu.items -%}
      {% comment %}
        This makes it hard to just cache the whole navbar, but we prefer
        to mark the active item in code rather than with JS.
      {% endcomment %}

      <li class="nav-item">
        <a class="nav-link{% if page.url == item.href %} active{% endif %}" href="{{ item.href }}">
          {{ item.title }}

          {%- if page.url == item.href -%}
            <span class="sr-only">
              {{ site.i18n.menu.active | default: '(current)' }}
            </span>
          {%- endif -%}
        </a>
      </li>
    {%- endfor -%}
  </ul>
</nav>
